<?php require_once('Connections/conn.php'); ?>
<?php 
//***************************************************************************************
// Nombre del Script: servicio_comunitario_est.php
// Descripción: Permite la gestión de los estudiantes de la ENAHP (Registrar, Modificar
//              y Eliminar) que cursan el Servicio Comunitario
//************************************************************************************** 
 session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];
 

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];
  
  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		return;
	  }  

  if ($tipo_usuario!="2") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="alumnos.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		return;
  }  
  

  $sql1 = "select * from servicio_comunitario where cedula='$cedula_usuario'";
  $rs1=mysql_query($sql1, $conn);
  $row1= mysql_fetch_assoc($rs1);
  $reg=mysql_num_rows($rs1);
  if ($reg == 0){
       ?>
       <script type="text/javascript">
	    alert("!Lo sentimos!\nUsted no está inscrito en el Servicio Comunitario.");

       </script>
      <?php
      exit;
   }
  
  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>siga_pregrado -- servicio_comunitario</title>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>

</head>

<script>
$(document).ready(function(){
	$("#estado").change(function(){
		$.post("carga_municipios.php",{ id:$(this).val() },function(data){$("#municipio").html(data);})
	});	
})

</script>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Servicio Comunitario</h2></td></tr></table>
<?php
  // $conn = connect();
  
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 250;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>

<td class="hr" align="center">Editar</td>

<td class="hr"><a class="hr" href="servicio_comunitario_est.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Cédula") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario_est.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos y Nombres") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario_est.php?order=<?php echo "id_periodo" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Lapso") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario_est.php?order=<?php echo "mencion" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Mención") ?></a></td>
<td class="hr"><a class="hr" href="servicio_comunitario_est.php?order=<?php echo "seccion" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Sección") ?></a></td>
</tr>
<?php
  global $conn;
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
	  
    }
	$cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="servicio_comunitario_est.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>

<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo $estudiante ?></td>
<td class="<?php echo $style ?>"><?php echo $periodo ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["mencion"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la ENAHP")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["codinstituto"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Proyecto")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["proyecto"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comunidad Beneficiada")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["comunidad"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["municipio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal (Estado)")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["estado"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Personas Beneficiadas")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["beneficiados"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["inicio"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Culminación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["fin"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("mencion")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["mencion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_periodo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["seccion"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
    mysql_select_db($database_conn, $conn);
    mysql_query ("SET NAMES 'utf8'");
  
    $cedula=$row["cedula"];
	$sql = "select apellidos,nombres from alumnos where cedula='$cedula'";
    $rs=mysql_query($sql,$conn);
    $row_estudiante=mysql_fetch_array($rs);
    $estudiante=$row_estudiante['apellidos'].', '.$row_estudiante['nombres'];
	
	$id_carrera=$row["id_carrera"];
	$sql = "select nombre_carrera from carreras where id_carrera='$id_carrera'";
    $rs=mysql_query($sql,$conn);
    $row_carrera=mysql_fetch_array($rs);
    $nombre_carrera=$row_carrera['nombre_carrera'];
	
	$mencion=$row["mencion"];
	$sql = "select nombre_mencion from menciones where id_mencion='$mencion'";
    $rs=mysql_query($sql,$conn);
    $row_mencion=mysql_fetch_array($rs);
    $nombre_mencion=$row_mencion['nombre_mencion'];
	
	$id_periodo=$row["id_periodo"];
	$sql = "select codigo,tipo from periodos where id_periodo='$id_periodo'";
    $rs=mysql_query($sql,$conn);
    $row_periodo=mysql_fetch_array($rs);
    $periodo=$row_periodo['codigo'];
	
  //*******************************************************************
  // Prepara Combo Dinámico para Estados de Nacimiento y de Procedencia
  //*******************************************************************
  $sql_estados = "SELECT codigo,estado FROM estados";
  $rst_estados = mysql_query($sql_estados, $conn) or die(mysql_error());
  $total_rows_estados = mysql_num_rows($rst_estados);  

  if($total_rows_estados >0){
    $array_codigos = array();
	$array_estados = array();
	
	$array_codigos1 = array();
	$array_estados1 = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rst_estados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			
			$array_codigos1[$code] = $estado["codigo"];		
			$array_estados1[$code]=  $estado["estado"];	
			$code += 1;
		}
   }
  
  $edo = str_replace('"', '&quot;', trim($row["estado"]));
  $sql_edo = "SELECT * FROM estados WHERE estados.codigo='$edo'";
  $rst_edo = mysql_query($sql_edo, $conn) or die(mysql_error());
  $row_edo = mysql_fetch_assoc($rst_edo);
  $total_rows_edoc = mysql_num_rows($rst_edo);
  
  $municipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $sql_municipio = "SELECT * FROM municipios WHERE municipios.codigo='$municipio'";
  $rst_municipio = mysql_query($sql_municipio, $conn) or die(mysql_error());
  $row_municipio = mysql_fetch_assoc($rst_municipio);
  $total_rows_municipio = mysql_num_rows($rst_municipio);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Código de la ENAHP")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row["codinstituto"])) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula ")."&nbsp;" ?></td>
<td class="dr"><?php echo $row["cedula"]; ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo $estudiante; ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo $periodo ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Carrera")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_carrera; ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Mención")."&nbsp;" ?></td>
<td class="dr"><?php echo $nombre_mencion; ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo $row["seccion"]; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombre del Proyecto")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="2" name="proyecto" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["proyecto"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comunidad Beneficiada")."&nbsp;" ?></td>
<td class="dr"><textarea cols="60" rows="1" name="comunidad" maxlength="255"><?php echo str_replace('"', '&quot;', trim($row["comunidad"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal (Estado)")."&nbsp;" ?></td>
<td class="dr"><select name="estado" size="1" id="estado">
            <option value="<?php echo $row_edo['codigo']?>"><?php echo $row_edo['estado']?></option>
			<?php
 for($i=0;$i<count($array_codigos);$i++) {
  echo "<option value=".$array_codigos[$i].">".$array_estados[$i]."</option>" ;
} 
?>
      </select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"> <select id="municipio" name="municipio">
            <option value="<?php echo $row_municipio['codigo']?>"><?php echo $row_municipio['municipio']?></option>
        </select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Personas Beneficiadas")."&nbsp;" ?></td>
<td class="dr">
<input type="text" name="beneficiados" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["beneficiados"])) ?>" size="5" maxlength="5"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Inicio")."&nbsp;" ?></td>
<td class="dr">
<input name="inicio" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["inicio"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">


&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Finalización")."&nbsp;" ?></td>
<td class="dr"><input name="fin" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(explode("-",$row["fin"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>

</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<?php if ($page > 1) { ?>
<td><a href="servicio_comunitario_est.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="servicio_comunitario_est.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="servicio_comunitario_est.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="servicio_comunitario_est.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>

<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario_est.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form enctype="multipart/form-data" action="servicio_comunitario_est.php" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "codinstituto" => "",
  "cedula" => "",
  "proyecto" => "",
  "comunidad" => "",
  "municipio" => "",
  "estado" => "",
  "beneficiados" => "",
  "inicio" => "",
  "fin" => "",
  "annio" => "",
  "id_carrera" => "",
  "mencion" => "",
  "id_periodo" => "",
  "seccion" => "");
showroweditor($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="servicio_comunitario_est.php?a=edit&recid=<?php echo $recid ?>">Editar</a></td>

</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="servicio_comunitario_est.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xcodinstituto" value="<?php echo $row["codinstituto"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xmunicipio" value="<?php echo $row["municipio"] ?>">
<input type="hidden" name="xestado" value="<?php echo $row["estado"] ?>">
<input type="hidden" name="xbeneficiados" value="<?php echo $row["beneficiados"] ?>">
<input type="hidden" name="xinicio" value="<?php echo $row["inicio"] ?>">
<input type="hidden" name="xfin" value="<?php echo $row["fin"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="servicio_comunitario_est.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xcodinstituto" value="<?php echo $row["codinstituto"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xmunicipio" value="<?php echo $row["municipio"] ?>">
<input type="hidden" name="xestado" value="<?php echo $row["estado"] ?>">
<input type="hidden" name="xbeneficiados" value="<?php echo $row["beneficiados"] ?>">
<input type="hidden" name="xinicio" value="<?php echo $row["inicio"] ?>">
<input type="hidden" name="xfin" value="<?php echo $row["fin"] ?>">
<input type="hidden" name="xmencion" value="<?php echo $row["mencion"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Conformar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $cedula_usuario;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `codinstituto`, `cedula`, `proyecto`, `comunidad`, `municipio`, `estado`, `beneficiados`, `inicio`, `fin`, `annio`, `id_carrera`, `mencion`, `id_periodo`, `seccion` FROM `servicio_comunitario` WHERE cedula='$cedula_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`codinstituto` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`proyecto` like '" .$filterstr ."') or (`comunidad` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`beneficiados` like '" .$filterstr ."') or (`inicio` like '" .$filterstr ."') or (`fin` like '" .$filterstr ."') or (`mencion` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $cedula_usuario;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `servicio_comunitario` WHERE cedula='$cedula_usuario'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`codinstituto` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`proyecto` like '" .$filterstr ."') or (`comunidad` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`beneficiados` like '" .$filterstr ."') or (`inicio` like '" .$filterstr ."') or (`fin` like '" .$filterstr ."') or (`mencion` like '" .$filterstr ."') or (`id_periodo` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;

  $sql = "insert into `servicio_comunitario` (`codinstituto`, `cedula`, `proyecto`, `comunidad`, `municipio`, `estado`, `beneficiados`, `inicio`, `fin`, `mencion`, `id_periodo`, `seccion`) values (" .sqlvalue(@$_POST["codinstituto"], true).", " .sqlvalue(@$_POST["cedula"], true).", " .sqlvalue(@$_POST["proyecto"], true).", " .sqlvalue(@$_POST["comunidad"], true).", " .sqlvalue(@$_POST["municipio"], true).", " .sqlvalue(@$_POST["estado"], true).", " .sqlvalue(@$_POST["beneficiados"], false).", " .sqlvalue(@$_POST["inicio"], true).", " .sqlvalue(@$_POST["fin"], true).", " .sqlvalue(@$_POST["mencion"], true).", " .sqlvalue(@$_POST["id_periodo"], false).", " .sqlvalue(@$_POST["seccion"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;
  
  $inicio=join ("-",(array_reverse(explode("-",@$_POST["inicio"]))));
  $fin=join ("-",(array_reverse(explode("-",@$_POST["fin"]))));


  $sql = "update `servicio_comunitario` set  `proyecto`=" .sqlvalue(@$_POST["proyecto"], true).", `comunidad`=" .sqlvalue(@$_POST["comunidad"], true).", `municipio`=" .sqlvalue(@$_POST["municipio"], true).", `estado`=" .sqlvalue(@$_POST["estado"], true).", `beneficiados`=" .sqlvalue(@$_POST["beneficiados"], false).", `inicio`='$inicio', `fin`='$fin' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `servicio_comunitario` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
 <script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no válido");
		   document.form_alumno.fecha_nac.focus();
           return false;
	    }
	
        switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.form_alumno.fecha_nac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.form_alumno.fecha_nac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		// --var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
		tecla=(document.all)?evt.keyCode : evt.which;
		if ((tecla<48 || tecla>57) && tecla!=46) return false
	
		//--return (key == 8 || key == 13 || (key >= 48 && key <= 57 && key == 46));
	}
	
</script>	
